# _PCRE2
<span class="source-link">[[Source]](src/regex/regex.md#L45)</span>
```pony
primitive val _PCRE2
```

## Constructors

### create
<span class="source-link">[[Source]](src/regex/regex.md#L45)</span>


```pony
new val create()
: _PCRE2 val^
```

#### Returns

* [_PCRE2](regex-_PCRE2) val^

---

## Public Functions

### utf
<span class="source-link">[[Source]](src/regex/regex.md#L46)</span>


```pony
fun box utf()
: U32 val
```

#### Returns

* [U32](builtin-U32) val

---

### substitute_global
<span class="source-link">[[Source]](src/regex/regex.md#L47)</span>


```pony
fun box substitute_global()
: U32 val
```

#### Returns

* [U32](builtin-U32) val

---

### not_empty
<span class="source-link">[[Source]](src/regex/regex.md#L48)</span>


```pony
fun box not_empty()
: U32 val
```

#### Returns

* [U32](builtin-U32) val

---

### eq
<span class="source-link">[[Source]](src/regex/regex.md#L46)</span>


```pony
fun box eq(
  that: _PCRE2 val)
: Bool val
```
#### Parameters

*   that: [_PCRE2](regex-_PCRE2) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/regex/regex.md#L46)</span>


```pony
fun box ne(
  that: _PCRE2 val)
: Bool val
```
#### Parameters

*   that: [_PCRE2](regex-_PCRE2) val

#### Returns

* [Bool](builtin-Bool) val

---

